Bug 1297191 - libgme: undefined symbol
libgme: undefined symbol
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: qmmp (Show other bugs)
23
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Karel Volný
Fedora Extras Quality Assurance
https://sourceforge.net/p/qmmp-dev/ti...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-01-10 07:03 EST by customercare
Modified: 2016-01-20 16:54 EST (History)
1 user (show)

See Also:
Fixed In Version: qmmp-0.9.6-1.fc23
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-01-20 16:54:33 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description customercare 2016-01-10 07:03:47 EST
Description of problem:

Got in the shelloutput , as i loaded qmmp from bash:

QmmpPluginCache: loaded plugin libhttp.so
QmmpPluginCache: loaded plugin libmms.so
QmmpPluginCache: error: Die Bibliothek /usr/lib64/qmmp/Input/libgme.so kann nicht geladen werden: (/usr/lib64/qmmp/Input/libgme.so: undefined symbol: _ZN14SettingsDialogC1EP7QWidget)
QmmpPluginCache: unknown plugin type: /usr/lib64/qmmp/Input/libgme.so
QmmpPluginCache: loaded plugin libaac.so
QmmpPluginCache: loaded plugin libcdaudio.so
QmmpPluginCache: loaded plugin libcue.so
QmmpPluginCache: loaded plugin libflac.so
QmmpPluginCache: loaded plugin libmad.so
QmmpPluginCache: loaded plugin libmodplug.so
QmmpPluginCache: loaded plugin libmpc.so
QmmpPluginCache: loaded plugin libopus.so
QmmpPluginCache: loaded plugin libsid.so
QmmpPluginCache: loaded plugin libsndfile.so



Version-Release number of selected component (if applicable):

  qmmp.x86_64 0.9.5-1.fc23                                                      
  qmmp-plugin-pack.x86_64 0.9.3-1.fc23                                          
  qmmp-plugins-freeworld.x86_64 0.9.5-1.fc23                                    

Additional info:
Comment 1 Karel Volný 2016-01-11 13:01:26 EST
fixing this is beyond my C++ & Google skills

I see no reason why the symbol is undefined in libgme while other plugins are ok

reported upstream:
https://sourceforge.net/p/qmmp-dev/tickets/836/

patches welcome ...
Comment 2 Fedora Update System 2016-01-12 13:51:24 EST
qmmp-0.9.6-1.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8b0fbb407
Comment 3 Fedora Update System 2016-01-13 02:53:35 EST
qmmp-0.9.6-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-c8b0fbb407
Comment 4 Fedora Update System 2016-01-20 16:54:31 EST
qmmp-0.9.6-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.